document.getElementById('loginForm').addEventListener('submit', async function(event) {
    event.preventDefault(); 
    // TIENE QUE DECIR 'usuario', no 'email'
    const usuario = document.getElementById('usuario').value;
    const password = document.getElementById('password').value;
    const mensajeLogin = document.getElementById('mensajeLogin');

    try {
        const response = await fetch('http://localhost:3000/api/auth/login', {
            method: 'POST',
            headers: { 'Content-Type': 'application/json' },
            body: JSON.stringify({ usuario, password }) 
        });
        const data = await response.json();

        if (response.ok) {
            mensajeLogin.style.display = 'none';
            localStorage.setItem('token', data.token);
            localStorage.setItem('usuario_id', data.id);
            localStorage.setItem('rol', data.rol);
            localStorage.setItem('nombres', data.nombres);
            localStorage.setItem('apellidos', data.apellidos);
            localStorage.setItem('empresa', data.empresa);
            localStorage.setItem('sede', data.sede);
            localStorage.setItem('area', data.area);;
            if (data.rol === 'administrador') {
                alert(`Bienvenido Administrador: ${data.nombres}`);
                // window.location.href = 'dashboard-admin.html'; <-- Pantalla que haremos después
                window.location.href = 'admin-dashboard.html';
            } else {
                // Si es un usuario común, va directo a reportar su incidencia
                window.location.href = 'crear-ticket.html';
            }

        } else {
            mensajeLogin.textContent = data.message;
            mensajeLogin.style.display = 'block';
        }
    } catch (error) {
        mensajeLogin.textContent = "Error de conexión con el servidor.";
        mensajeLogin.style.display = 'block';
    }
});